﻿Imports System.Globalization

Module App09
    Public Sub Main(ByVal args As String())
        Dim numberParser = New NumberParser()
        numberParser.TestParsing()

        Dim integerValue As Integer = 12345
        Console.WriteLine(integerValue.ToString("g"))

        Dim intValue As Integer = 12345
        Console.WriteLine(intValue.ToString("c"))

        Dim frenchCanadian As CultureInfo = New CultureInfo("fr-CA")
        Console.WriteLine(intValue.ToString("c", frenchCanadian)) ' prints 12 345,00 $

        Dim numberFormatter = New NumberFormatter()
        numberFormatter.TestFormatting()

        Dim dayCalculator = New DayCalculator()
        dayCalculator.CalculateDay()

        Dim durationCalculator = New DurationCalculator()
        durationCalculator.CalculateDuration()

        Console.ReadKey()
    End Sub

End Module